{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "C#: SongOfTheDay Debug",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "publish Debug",
            "program": "${workspaceFolder}/bin/Debug/net9.0/publish/song_of_the_day.dll",
            "cwd": "${workspaceFolder}/bin/Debug/net9.0/publish/",
            "args": [
                "/p:EnvironmentName=Development"
            ],
            "serverReadyAction": {
                "action": "openExternally",
                "pattern": "\\bNow listening on:\\s+(https?://\\S+)"
            },
            "env": {
                "ASPNETCORE_ENVIRONMENT": "Development",
                "Logging__LogLevel__Microsoft": "Information"
            }
        },
        {
            "name": "C#: SongOfTheDay Production",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "publish Release",
            "program": "${workspaceFolder}/bin/Release/net9.0/publish/song_of_the_day.dll",
            "cwd": "${workspaceFolder}/bin/Release/net9.0/publish/",
            "args": [
                "/p:EnvironmentName=Production"
            ],
            "serverReadyAction": {
                "action": "openExternally",
                "pattern": "\\bNow listening on:\\s+(https?://\\S+)"
            },
            "env": {
                "ASPNETCORE_ENVIRONMENT": "Production",
                "Logging__LogLevel__Microsoft": "Information"
            }
        }
    ]
}